Valutazione attuale: 1 / 5

Stella attivaStella inattivaStella inattivaStella inattivaStella inattiva
 

Indice articoli


iniziamo col segnalare, che come scritto anche nel file compile.txt all' interno della cartella documentation , si necessita di alcuni pacchetti installati

sudo apt-get install build-essential automake1.10  autoconf libplib-dev libsdl1.2-dev libportaudio-dev libjpeg62-dev libcgal-dev 

da segnalare, che abbiamo installato una versione precedente di automake, perche' la versione attuale 

automake --version 
automake (GNU automake) 1.11.3

da' un' errore di 

locale/Makefile.am:4: `localedir' is not a legitimate directory for `DATA'

con questa versione , non c'e' nessun problema invece.

ps. se avete come me installato automake, bisogna rimuoverlo , e reiniziare da capo con ./autogen

meglio ancora se cancellate la directory e riscompattate i  file sorgenti

in ogni caso, per chi come me' usa ubuntu 12.04 avra' ancora un' errore

crrcsim-winddata3D.o: undefined reference to symbol 'boost::detail::get_tss_data(void const*)

e come indicato qui e' dovuto al non riuscire a trovare la libreria boost,

si puo' rimediare applicando la patch scaricabile anche da qui'

 dopo aver scaricato la patch la si deve applicare 

patch < crrcsim.patch

 quindi proseguire con 

make -j4

Vai all'inizio della pagina